%define upstream_name    IO-Socket-IP
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A drop-in replacement for C<IO::Socket::INET> supporting
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IO/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildRequires: perl(Socket) >= 1.950.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module provides a protocol-independent way to use IPv4 and IPv6
sockets, as a drop-in replacement for the IO::Socket::INET manpage. Most
constructor arguments and methods are provided in a backward-compatible
way. For a list of known differences, see the 'IO::Socket::INET'
INCOMPATIBILITES section below.

It uses the 'getaddrinfo(3)' function to convert hostnames and service
names or port numbers into sets of possible addresses to connect to or
listen on. This allows it to work for IPv6 where the system supports it,
while still falling back to IPv4-only on systems which don't.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Wed Jan 25 2012 jquelin <jquelin> 0.80.0-1.mga2
+ Revision: 200892
- update to 0.08

* Sat Nov 05 2011 kharec <kharec> 0.70.0-1.mga2
+ Revision: 163695
- imported package perl-IO-Socket-IP


* Sat Nov 05 2011 cpan2dist 0.07-1mga
- initial mageia release, generated with cpan2dist
